%define upstream_name    Dist-Zilla-PluginBundle-Author-CJM
%define upstream_version 6.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Get distribution version from its main_module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease) >= 6.0.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::GitVersionCheckCJM) >= 4.270.0
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MatchManifest) >= 4.10.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodLoom) >= 5.1.0
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::RecommendedPrereqs) >= 4.60.0
BuildRequires: perl(Dist::Zilla::Plugin::Repository) >= 0.160.0
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::TemplateCJM) >= 4.230.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::PrereqsFromMeta) >= 4.230.0
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Plugin::VersionFromModule) >= 0.80.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 2.27.0
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose) >= 0.650.0
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-PluginBundle-CJM <= 4.20.0
Provides:   perl-Dist-Zilla-PluginBundle-CJM

%description
If included, this plugin will process each _.pm_ and _.pod_ file under
_lib_ or in the root directory through Pod::Loom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# Timezone is not set in iurt, so the test would fail
rm -f t/10-build.t
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 6.0.0-4.mga9
+ Revision: 1809160
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 6.0.0-3.mga8
+ Revision: 1504249
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.0.0-2.mga7
+ Revision: 1283360
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 shlomif <shlomif> 6.0.0-1.mga7
+ Revision: 1185265
- update to 6.000

* Sun Jun 19 2016 pterjan <pterjan> 4.370.0-2.mga6
+ Revision: 1025867
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 4.370.0-1.mga6
+ Revision: 1007597
- update to 4.37

* Fri Feb 19 2016 umeabot <umeabot> 4.360.0-2.mga6
+ Revision: 969727
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 4.360.0-1.mga6
+ Revision: 873725
- update to 4.36

* Thu Aug 13 2015 sander85 <sander85> 4.350.0-1.mga6
+ Revision: 864336
- update to 4.35

* Sun Jul 26 2015 sander85 <sander85> 4.340.0-1.mga6
+ Revision: 857867
- update to 4.34

* Mon Jun 29 2015 sander85 <sander85> 4.330.0-1.mga6
+ Revision: 848172
- update to 4.33

* Sun Oct 19 2014 umeabot <umeabot> 4.310.0-4.mga5
+ Revision: 789409
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.310.0-3.mga5
+ Revision: 749019
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 4.310.0-1.mga5
+ Revision: 586607
- update to 4.31

* Mon Oct 21 2013 umeabot <umeabot> 4.300.0-2.mga4
+ Revision: 537103
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 4.300.0-1.mga4
+ Revision: 486312
- update to 4.30

* Sun Aug 25 2013 sander85 <sander85> 4.200.0-1.mga4
+ Revision: 471591
- update to 4.20

* Sun Jan 13 2013 umeabot <umeabot> 4.130.0-2.mga3
+ Revision: 366560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 4.130.0-1.mga3
+ Revision: 254923
- update to 4.13

* Tue Dec 13 2011 kharec <kharec> 4.120.0-1.mga2
+ Revision: 181372
- update to 4.12

* Fri Nov 18 2011 jquelin <jquelin> 4.110.0-1.mga2
+ Revision: 168848
- update to 4.11
- dist renamed upstream

* Tue Aug 30 2011 jquelin <jquelin> 4.20.0-1.mga2
+ Revision: 136662
- update to 4.02

* Wed Mar 02 2011 jquelin <jquelin> 4.10.0-1.mga1
+ Revision: 62633
- update to 4.01

* Wed Jan 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 40636
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-CJM

